Regional Options overview

With Regional Options in Control Panel, you can change the way Windows 2000 displays dates, times, currency amounts, large numbers, and numbers with decimal fractions. You can also choose the metric or U.S. system of measurement.

You can also choose from a large number of input locales. When you switch to another input locale, some programs offer special features, such as font characters or spell checkers designed for different languages.

If you work in more than one language or communicate with speakers of other languages, you might want to install additional language groups. Each language group you install allows you to type and read documents composed in languages of that group, such as Western Europe and U.S., Central Europe, Baltic, and more.

Each language has a default keyboard layout, but many languages have alternate layouts. Even if you work mainly with one language, you may want to try other layouts. In English, for example, typing letters with accents might be simpler with the U.S.-International layout.

Related Topics


Common tasks: Regional Options

Common tasks

The following tasks are frequently used to customize regional options. Click the Index or Search tab to search for a specific word or phrase.

Change your locale (location)

Your locale affects the way programs display dates, times, currency, and numbers. You usually select the locale that matches your location, such as English (United States) or French (Canada).

Step-by-step procedure

Change the clock to 24-hour format

You can customize how the time is displayed by choosing 12-hour and 24-hour formats, the time separator, and A.M. and P.M. symbols.

Step-by-step procedure

Change the way Windows 2000 and programs interpret two-digit years

You can change the way your computer interprets two-digit years, as well as customize long- and short-date formats.

Step-by-step procedure

Change the default currency symbol

You can select the symbol used to indicate currency, such as $ or the new Euro dollar symbol €, the default format for positive and negative currencies, the decimal symbol that separates units of currency, and more.

Step-by-step procedure

Add an input locale and keyboard layout

You add input locales to specify the language and keyboard layout or Input Method Editor you want to use to type. When you add an input locale, a keyboard layout or Input Method Editor for that language is also added. Keyboard layouts and Input Method Editors vary to accommodate the special characters and symbols used in different languages.

Step-by-step procedure

Switch to a different input locale

As you compose documents using multiple languages, you can easily switch between input locales by using the taskbar indicator.

Step-by-step procedure

Change the keyboard layout or Input Method Editor for an installed input locale

Keyboard layouts and Input Method Editors vary to accommodate the special characters and symbols used in different languages. Changing your keyboard layout affects which characters appear when you press the keys on the keyboard. Each language has a default keyboard layout, but many languages have alternate layouts. Even if you work mainly with one language, you may want to try other layouts, like Dvorak or U.S.-International.

Step-by-step procedure

Choose a different calendar

Many locales have multiple calendars to choose from. You can choose the calendar that best fits your needs.

Step-by-step procedure


Change the way your computer displays the date

To change the way your computer displays the date

  1. Open Regional Options in Control Panel.
  2. On the Date tab, enter any changes you want to make in Short date and Long date.

    3. If you don't see the format you want in Short date or Long date, see the following:

    To | Do this
Display single-digit numbers without a leading zero | Type a single character. Type d for the day setting, type y for the year setting, and type M for the month setting
Display leading zeros with single-digit numbers | Type two characters. Type dd for the day setting, type yy for the year setting, and type MM for the month setting
Display the last two digits of the year | Type yy for the year setting
Display four digits for the year | Type yyyy for the year setting
Display abbreviations for the day or month | Type three characters. Type ddd for the day setting and type MMM for the month setting
Display the full name of the day or month | Type four characters. Type dddd for the day setting and type MMMM for the month setting
Display additional text | Type single quotation marks (') around text

Note


Change the way your computer displays the time

To change the way your computer displays the time

  1. Open Regional Options in Control Panel.
  2. On the Time tab, enter any changes you want to make.

    3. If you don't see the format you want in Time format, see the following:

    To | Do this
Display time in a 24-hour format | Type uppercase H or HH for the hour
Display time in a 12-hour format | Type lowercase h or hh for the hour
Display leading zeros in single-digit hours | Type two characters, HH or hh
Suppress the display of leading zeros in single-digit hours, minutes, or seconds | Type a single uppercase H, or lowercase letter, such as h, m, or s
Display a single letter to indicate AM or PM | Type lowercase t
Display two letters to indicate AM or PM | Type lowercase tt
Display text | Type single quotation marks (') around text

Note


Specify how your computer interprets two-digit years

To specify how your computer interprets two-digit years

  1. Open Regional Options in Control Panel.
  2. On the Date tab, click the arrows under When a two digit year is entered, interpret as a year between to set the ending year.

Notes

  • This feature has a 100-year span. The default span is 1930 to 2029.

    • A program that uses this option to interpret two-digit years will consider the years between (and including) 30 and 99 to be preceded by 19, and years between (and including) 00 and 29 to be preceded by 20. For example, 99 will be interpreted as 1999 and 01 will be interpreted as 2001.

  • Four-digit years are not affected by this option.
  • Not all programs use this option. If the program you are using does not correctly interpret two-digit years, consult the documentation or manufacturer of that program.


Choose a different calendar

To choose a different calendar

  1. Open Regional Options in Control Panel.
  2. On the Date tab, in Calendar type, select the calendar you want to use.

Notes

  • If no calendar is available, then your locale does not support multiple calendars. The locale (location) selected on the General tab determines what calendars are available.


Change the way your computer displays currency values

To change the way your computer displays currency values

  1. Open Regional Options in Control Panel.
  2. On the Currency tab, enter any changes you want to make.

Note


Change the way your computer displays numbers

To change the way your computer displays numbers

  1. Open Regional Options in Control Panel.
  2. On the Numbers tab, enter any changes you want to make.

Note


Install additional languages

To install additional languages

  1. Open Regional Options in Control Panel.
  2. On the General tab, under Language settings for the system, select the check box next to the language group you want to install.

Notes

  • You must be logged on as an administrator or a member of the Administrators group to complete this procedure. If your computer is connected to a network, network policy settings may also prevent you from completing this procedure.
  • To complete the installation of language groups, you must insert the Windows 2000 CD-ROM or have access to the system files from the network. Once the languages are installed, Windows 2000 prompts you to restart the computer.
  • With multiple languages installed on your computer, you can compose documents that contain more than one language. Any recipients of multilingual documents must also have the same languages installed on their computers to read or edit the documents.


Add an input locale and keyboard layout

To add an input locale and keyboard layout

  1. Open Regional Options in Control Panel.
  2. On the Input Locales tab, click Add.
  3. In the Add Input Locale dialog box, click the input locale and keyboard layout or Input Method Editor (IME) you want to add.

Notes

  • You add input locales to specify the language and keyboard layout or IME you want to use to type. When you add an input locale, a keyboard layout or IME for that language is also added. Keyboard layouts and IMEs vary to accommodate the special characters and symbols used in different languages.
  • When the Enable indicator on taskbar check box on the Input Locales tab is selected and you have two or more input locales installed, an indicator representing the current input locale appears on the taskbar. To quickly switch between input locales, click the indicator, and then click the input locale you want to use.
  • You can add input locales for any installed language group. If you do not see the input locale you want, then install the language group that contains the input locale.


Customize key sequences for input locales

To customize key sequences for input locales

  1. Open Regional Options in Control Panel.
  2. On the Input Locales tab, in Hot keys for input locales, click the input locale whose key sequence you want to customize.
  3. Click Change Key Sequence.
  4. Click to select Enable Key Sequence, and then click the key sequence you want to use.

    5. For example, click CTRL, and then in Key click 8. Then, to use this key sequence to switch to the selected input locale, press CTRL+SHIFT+8.

Notes

  • You can also click the input locale indicator on the taskbar to select the input locale you want to use. If the input locale indicator is not on the taskbar, select the Enable indicator on taskbar check box on the Input Locales tab.
  • If you select Switch between input locales in Hot keys for input locales, you can still change the key sequence, but the Key option is not available.


Switch to another input locale

To switch to another input locale

  • On the taskbar, click the indicator representing the current input locale, and then click the input locale you want to use.

Notes

  • You switch to another input locale so that you can compose documents in a different language using the keyboard layout or Input Method Editor designed for that language.
  • You can use a different input locale for each program you use. For example, you can use one input locale to create documents using WordPad and another input locale at the command prompt. To set this up, open the program you want, and then select the input locale to be used for that program. Each time you switch to that program while it is running, the input locale you selected is active. However, once you close the program, you will need to select the input locale again for that program the next time you start it.
  • If the indicator does not appear on the taskbar, click Start, point to Settings, and then click Control Panel. Double-click Regional Options, click the Input Locales tab, and then click Enable indicator on taskbar. This option is disabled if you have only one input locale installed.


Change the keyboard layout for an installed input locale

To change the keyboard layout for an installed input locale

  1. Open Regional Options in Control Panel.
  2. On the Input Locales tab, under Input language, click the language whose keyboard layout or Input Method Editor you want to change, and then click Properties.
  3. In the Input Locale Properties dialog box, click the keyboard layout or Input Method Editor you want to use, and then click OK.

Notes

  • You can increase the available input locales by installing additional language groups.


Change the language used for menus and dialogs

To change the language used for menus and dialogs

  1. Open Regional Options in Control Panel.
  2. On the General tab, under Menus and dialogs, select the language you want.

Notes

  • This option is only available on the Windows 2000 Multilanguage Version. If you are interested in this product, please contact the Microsoft offices nearest you for more information.


Display non-Unicode programs in their native language

To display non-Unicode programs in their native language

  1. Open Regional Options in Control Panel.
  2. On the General tab, click Set default.
  3. Under Select the appropriate locale, select the language version of non-Unicode programs that will be used.

Notes

  • You must be logged on as an administrator or a member of the Administrators group to complete this procedure. If your computer is connected to a network, network policy settings may also prevent you from completing this procedure.
  • The system locale enables programs that do not support Unicode to display menus and dialogs in their native language by installing the necessary code pages and fonts. However, programs designed for other languages may not show fonts correctly.
  • Only non-Unicode programs are affected by the system locale. The system locale does not change the menus and dialogs of Windows 2000 or Unicode programs.
  • The available system locales are determined by the language groups installed on your computer.


Install or remove code page conversion tables

To install or remove code page conversion tables

  1. Open Regional Options in Control Panel.
  2. On the General tab, click Advanced.
  3. Under Code page conversion tables, do any of the following:
    • Select the check box next to the code page conversion table that you want to install.
    • Clear the check box next to the code page conversion table you want to remove.

Notes

  • You must be logged on as an administrator or a member of the Administrators group to complete this procedure. If your computer is connected to a network, network policy settings may also prevent you from completing this procedure.


Change number, currency, time, and date settings

To change number, currency, time, and date settings

  1. Open Regional Options in Control Panel.
  2. On the General tab, under Settings for the current user, in Your locale (location), click the name of the region whose date, time, number, and currency format you want to use.

Notes

  • The available user locales are determined by the language groups you have installed.